@IF "%1" == "-m" goto Mono
@IF "%1" == "-M" goto Mono

@ECHO Compiling for .NET
@SET NB_OUTPUT_FILE_NAME=Nachtblitz.exe
@SET NB_PLATFORM_INPUT=/reference:"Support.dll"
@GOTO Compile

:Mono
@ECHO Compiling for Mono
@SET NB_OUTPUT_FILE_NAME=NachtblitzForMono.exe
@SET NB_PLATFORM_INPUT=/reference:"SupportForMono.dll" /define:MONO

:Compile
@SET DOTNET_RUNTIME_VER=v2.0.50727
@SET DOTNET_FRAMEWORK_VER=v2.0.50727
@SET DOTNET_FRAMEWORK_PATH=C:\Windows\Microsoft.NET\Framework
@SET WINSDK_PATH=C:\Program Files (x86)\Microsoft SDKs\Windows\v7.0A

"%DOTNET_FRAMEWORK_PATH%\%DOTNET_RUNTIME_VER%\csc.exe" /nologo /noconfig /errorreport:none /warn:4 /platform:anycpu /codepage:28591 /langversion:default /checked- /debug- /debug:pdbonly /optimize+ /filealign:512 /unsafe- /win32icon:"Nachtblitz-1.4.25-src\Nachtblitz\NachtblitzMulti.ico" %NB_PLATFORM_INPUT% /out:"%NB_OUTPUT_FILE_NAME%" /main:NB.ApplicationEntryPointObject /target:winexe /reference:"%DOTNET_FRAMEWORK_PATH%\%DOTNET_FRAMEWORK_VER%\System.dll" /reference:"%DOTNET_FRAMEWORK_PATH%\%DOTNET_FRAMEWORK_VER%\System.Drawing.dll" /reference:"%DOTNET_FRAMEWORK_PATH%\%DOTNET_FRAMEWORK_VER%\System.Runtime.Remoting.dll" /reference:"%DOTNET_FRAMEWORK_PATH%\%DOTNET_FRAMEWORK_VER%\System.Windows.Forms.dll" /reference:"zlibManaged.dll" /resource:"Nachtblitz-1.4.25-src\Nachtblitz\license.txt.deflated",license.txt.deflated,private /resource:"Nachtblitz-1.4.25-src\Nachtblitz\Nachtblitz32.ico.deflated",Nachtblitz32.ico.deflated,private /resource:"Nachtblitz-1.4.25-src\Nachtblitz\Icons.png",Icons.png,private /resource:"Nachtblitz-1.4.25-src\Nachtblitz\MsgBoxIcons.png",MsgBoxIcons.png,private /resource:"Nachtblitz-1.4.25-src\Nachtblitz\TabControlToolBar.png",TabControlToolBar.png,private /resource:"Nachtblitz-1.4.25-src\Nachtblitz\en.dat.deflated",en.dat.deflated,private /resource:"Nachtblitz-1.4.25-src\Nachtblitz\VerSig.bin",VerSig.bin,private "Nachtblitz-1.4.25-src\Nachtblitz\AssemblyInfo.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Content.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Content2.cs" "Nachtblitz-1.4.25-src\Nachtblitz\eDProt.cs" "Nachtblitz-1.4.25-src\Nachtblitz\GUI.cs" "Nachtblitz-1.4.25-src\Nachtblitz\GUIPrimitives.cs" "Nachtblitz-1.4.25-src\Nachtblitz\I2P.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Kad.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Kad2.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Links.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Language.cs" "Nachtblitz-1.4.25-src\Nachtblitz\MainWindow.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Network.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Network2.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Program.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Tabism.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Tags.cs" "Nachtblitz-1.4.25-src\Nachtblitz\Types.cs" "Nachtblitz-1.4.25-src\Nachtblitz\zlib.cs"

REM ADDING MANIFEST

"%WINSDK_PATH%\bin\mt.exe" -manifest "Nachtblitz-1.4.25-src\Nachtblitz\Nachtblitz.exe.manifest" -outputresource:"%NB_OUTPUT_FILE_NAME%";#1
